import axios from 'axios'
import downloadjs from 'downloadjs'
import { getStore, USR } from '../untils/userinfo'
interface LoginData{
    name: string
    password: string
}
const instance = axios.create({
    timeout:15000
})
instance.interceptors.request.use((config)=>{
    if(config.url !== '/api/admin/login'){
        config.headers=  {
            'Auth-Token':store?store.token?store.token:'':''
        }
        return config
    }else{
        return config
    }
})
const store = getStore<USR<any>>('mining-manager')
export const doLogin = async (data:LoginData) => {
    console.log(111);
    return instance.post('/api/admin/login',
        data
    ).then(res=>{
        if(res.data.data.isSucc){
            return res.headers['auth-token']
        }
    }).catch((err)=>{
        console.log(err);
    })
}


export const getPlatList = async()=>{
    return instance.get('/api/admin/plat-list',).then(res=> res.data)
}

export interface GetTransListParams{
    platId?:number
    status?:number
    start?:number
    end?:number
    addr?:string
    page?:number
    pageSize?:number
}

export const getTransList = async(params:GetTransListParams)=>{
    params.page?params.page:params.page=1
    params.pageSize?params.pageSize:params.pageSize=10
    return instance.get('/api/admin/trans-list',{
        params:params
    }).then(res=>{
        return res.data
    })
}

export const downloadTxt = async(params:GetTransListParams)=>{
    return instance.get('/download/unsigntxs',{
        params: params
    }).then(async res=>{
            await downloadjs(res.data, 'report.txt', 'text/plain')
        return
    })
  
}